//page
class pages {
	constructor(that) {
		this.page = that
	}
	取当前页指针(){
		
	}
	取组件变量() {
		return this.page
	}
	置组件变量(obj, callback) {
		let that = this.page;
		let keys = [];
		let val,data;
		Object.keys(obj).forEach(function(key){
			keys = key.split('.');
			val = obj[key];
			data = that;
			keys.forEach(function(key2,index){
				if(index+1 == keys.length){
					that.$set(data,key2,val);
				}else{
					if(!data[key2]){
						that.$set(data,key2,{});
					}
				}
				data = data[key2];
			})
		});
	}
	取全局子程序() {
		return app
	}
	eventtoObj(Event) {
		var i = {
			消息: Event
		}
		return i
	}
}
//调试
class 调试 {
	static 输出(...i) {
		console.log(...i);
	}
	static 输出debug(...i) {
		console.debug(...i);
	}
	static 输出错误(...i) {
		console.error(...i);
	}
	static 创建分组(标记) {
		console.group(标记);
	}
	static 结束分组() {
		console.groupEnd();
	}
	static 输出信息(...i) {
		console.info(...i);
	}
	static 输出警告(...i) {
		console.warn(...i);
	}
}
//参数
class 参数 {
	static 是否为空(c) {
		return c == undefined || c == null? true: false
	}
}
module.exports = {pages,调试,参数}